{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::image" config.machine.pkgs) {
  programs.nvim-lazy = {
    lazyPlugins = [
      {
        lazy = false;
        dir = vPlug: vPlug.image-nvim;
        opts = {
          processor = "magick_cli";
          integrations.markdown = {
            only_render_image_at_cursor = true;
          };
        };
      }
    ];
    extraLuaPackages = p: [ p.magick ];
  };
}
