{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::kanagawa-nvim" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      dir = vPlug: vPlug.kanagawa-nvim;
      priority = 1000;
      config = # lua
        ''
          function()
            require('kanagawa').setup({
              transparent = true,
            })
            vim.cmd([[colorscheme kanagawa-wave]])
          end
        '';
    }
  ];
}
