{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::c" config.machine.pkgs) {
  ccls = {
    cmd = [ "${pkgs.ccls}/bin/ccls" ];
    init_options = {
      # compilationDatabaseDirectory = "build";
      index = {
        threads = 0;
      };
      clang = {
        excludeArgs = [ "-frounding-math" ];
      };
    };
  };
}
