{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::nix-nil" config.machine.pkgs) {
  nil_ls = {
    cmd = [ "${pkgs.nil}/bin/nil" ];
    settings = {
      "['nil']" = {
        formatting = {
          command = [ "${pkgs.nixfmt-rfc-style}/bin/nixfmt" ];
        };
        maxMemoryMB = 4069;
        # nix = {
        #   flake = {
        #     autoEvalInputs = true;
        #   };
        # };
      };
    };
  };
}
