{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::php" config.machine.pkgs) {
  phpactor = {
    cmd = [
      "${pkgs.phpactor}/bin/phpactor"
      "language-server"
    ];
    init_options = {
      "[\"symfony.enabled\"]" = true;
      "[\"language_server_phpstan.enabled\"]" = true;
      "[\"language_server_phpstan.bin\"]" = "${pkgs.phpPackages.phpstan}/bin/phpstan";
      "[\"language_server_phpstan.level\"]" = 5;
    };
  };
}
