{
  config,
  lib,
  fn,
  pkgs,
  ...
}:
with lib;
{
  config.machine.pkgsets.python3.pkgwrap = pkgs.python3.withPackages (
    ps: (fn.pkgFilter config.machine.pkgsets.python3.pkgs)
  );
  config.machine.pkgsets.python3.pkgs = with pkgs.python3Packages; [
    bpython
    flake8
    genanki
    matplotlib
    mypy
    mysqlclient
    numpy
    pandas
    pillow
    scipy
    virtualenv
  ];
}
