{
  pkgs,
  ...
}:
{
  config.machine.pkgsets.mail_utils.pkgs = with pkgs; [
    aerc
    abook
    pizauth
    libsecret # to request passwords from keyring
    notmuch
    (isync.override { withCyrusSaslXoauth2 = true; })
    mailutils
    pandoc # to convert messages
    # defined in ../pkgs/scripts.nix
    mail-sync
  ];
}
