{ pkgs, ... }:
{
  config.machine.pkgsets.nodejs.pkgs =
    (with pkgs; [
      nodejs
      yarn
      deno
    ])
    ++ (with pkgs.nodePackages; [
      autoprefixer
      mermaid-cli
      prettier
      tailwindcss
      typescript
    ]);
}
