{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::html" config.machine.pkgs) {
  # local html_capabilities = vim.lsp.protocol.make_client_capabilities()
  # html_capabilities.textDocument.completion.completionItem.snippetSupport = true
  html = {
    capabilities = _: "vim.lsp.protocol.make_client_capabilities()";
    cmd = [ "${pkgs.vscode-langservers-extracted}/bin/vscode-html-language-server" ];
  };
}
