{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalAttrs (lib.elem "nvim::lsp::lua" config.machine.pkgs) {
  lua_ls = {
    cmd = [ "${pkgs.lua-language-server}/bin/lua-language-server" ];
    settings = {
      Lua = {
        runtime = {
          version = "LuaJIT";
        };
        workspace = {
          checkThirdParty = false;
          library = [
            (_: "vim.env.VIMRUNTIME")
          ];
        };
      };
    };
  };
}
