{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::nvim-highlight" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      lazy = true;
      dir = vPlug: vPlug.nvim-highlight-colors;
      ft = [
        "css"
        "html"
        "js"
        "jsx"
        "ts"
        "tsx"
      ];
      cmd = [ "HighlighColors" ];
      opts = {
        render = "virtual";
        enable_tailwind = true;
      };
    }
  ];
}
