{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::table-mode" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      lazy = true;
      dir = vPlug: vPlug.vim-table-mode;
      cmd = [ "TableModeToggle" ];
      keys = [
        {
          bind = "<leader>tm";
          cmd = "<cmd>TableModeToggle<CR>";
          opts = {
            desc = "Toggle table mode";
          };
        }
      ];
    }
  ];
}
